var application = Adw.Application.New("org.typomustakes.keychain", Gio.ApplicationFlags.FlagsNone);
application.OnActivate += (sender, args) =>
{
    var window = new App.UI.MainWindow().Window;
    window.Application = (Adw.Application)sender;
    window.Show();
};

return application.RunWithSynchronizationContext(null);